[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [bug report] Requested operation is not valid: migration with shmem device is not supported



On Mon, Dec 10, 2018 at 08:39:37 +0000, 吴 雨霖 wrote:
> 1.Description of problem:
> 
>      It report use migration with shmem device is not supported , when I use the command "virsh migrate --live" to migrate a VM to another host.

Migration with shmem was specifically forbidden by commit:

commit d17fab69be7a73336d388b805c282037ffb29647
Author: Martin Kletzander <mkletzan redhat com>
Date:   Tue Sep 20 11:24:49 2016 +0200

    qemu: Disable migration with ivshmem

    It was never safe anyway and as such shouldn't have been enabled in the
    first place.  Future patches will allow hot-(un)pluging of some ivshmem
    devices as a workaround.

    Signed-off-by: Martin Kletzander <mkletzan redhat com>

That means that there are probably technical reasons which don't allow
it to be migrated. Unfortunately the commit message does not go in depth
enough here, but you'll need to prove that it's safe now if you ever
want to add the support back.

Attachment: signature.asc
Description: PGP signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]